Subject: Re: [PATCH v3] connect, protocol: log negotiated protocol version

From: Taylor Blau <[email-masked]>
Date: Mon, 16 Aug 2021 14:03:30 -0400

On Tue, Aug 10, 2021 at 10:20:39AM -0700, Josh Steadmon wrote:
> It is useful for performance monitoring and debugging purposes to know
> the wire protocol used for remote operations. This may differ from the
> version set in local configuration due to differences in version and/or
> configuration between the server and the client. Therefore, log the
> negotiated wire protocol version via trace2, for both clients and
> servers.
>
> Signed-off-by: Josh Steadmon <[email-masked]>
> ---
>
> Changes in V3:
> * remove unnecessary `test` calls in the new t5705 test cases
> * remove the wire protocol version formatting function
> * log the wire protocol version enum value directly, as in V0 of this
>   series
> * avoid logging the protocol version if negotiation fails (i.e., if we
>   end up with "protocol_unknown_version")

Nicely done. This version looks ready to be picked up by my eyes.

    Reviewed-by: Taylor Blau <[email-masked]>

Thanks,
Taylor